%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


%define realname pyrad


Name:		python-%{realname}
Version:	1.1
Release:	3%{?dist}
Summary:	Python RADIUS client
Group:		Development/Languages
License:	BSD
URL:		http://www.wiggy.net/code/pyrad/
Source0:	http://pypi.python.org/packages/source/p/%{realname}/%{realname}-%{version}.tar.gz
Patch1:		python-pyrad-0001-Use-a-better-random-generator.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: python-setuptools
Requires:	python-twisted-core
BuildArch:	noarch


%description
This is an implementation of a RADIUS client as described in RFC2865.
It takes care of all the details like building RADIUS packets, sending
them and decoding responses.


%prep
%setup -q -n %{realname}-%{version}
chmod 644 example/acct.py example/auth.py example/server.py


%build
%{__python} -c 'import setuptools; execfile("setup.py")' build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} -c 'import setuptools; execfile("setup.py")' install --skip-build --root %{buildroot}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%doc CHANGES.txt LICENSE.txt README.txt example
%{python_sitelib}/%{realname}/
%{python_sitelib}/%{realname}-%{version}-*.egg-info/


%changelog
* Thu Sep 05 2013 Peter Lemenkov <lemenkov@gmail.com> - 1.1-3
- A better random number generator

* Sat Apr 11 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1-2
- Fixed rpmling warning
- Changed 'files' section
- Added missing requires python-twisted-core

* Sat Apr 11 2009 Peter Lemenkov <lemenkov@gmail.com> 1.1-1
- Initial build

